Модифицированный плагин pytest-testrail

Нужен для автоматического создания отчета по прогону тестов 

Установка: **pip install pytest-testrail2**

    Пример кода:
    import pytest
    from pytest_testrail.plugin import pytestrail
        
    # Например
    @pytestrail.case('C1234')
    def test_bar(add_comment):
        add_comment('Simple comment')
    
    # Или для параметризированного теста, если каждый параметр соответствует своему тест-кейсу
    @pytest.mark.parametrize('case', [dict(data_for_test='foo', testrailcase='C1234'), dict(data_for_test='egg', testrailcase='C1235')])
    def test_bar(add_comment, case):
        add_comment('Simple comment')

Пример конфига settings_file.cfg:

    [API]
    url=http://172.19.2.178/ # base url test rail  (не менять)
    email=autotest@pochtabank.ru # email пользователя, под которым работает АПИ (не менять)
    password=R6SutFwXI3c1IbQNpSj9-AaVLkXnuJKuzPG7wnWsR # token пользователя, под которым работает АПИ (не менять)

    [TESTRUN]
    assignedto_id = 31  # идентификатор пользователя, под которым наполняется отчет (не менять)
    project_id = идентификатор_проекта # смотреть в тест-рейл id проекта, в котором созданы тест-кейсы



Запуск:

    * py.test --testrail --tr-config=settings_file.cfg
    *  через Jenkins py.test --testrail --tr-config=settings_file.cfg --tr-bundle-id=${BUILD_NUMBER} --tr-bundle-end=true
    * если тесты запускаются несколькими командами, но нужно сгенерировать один отчет:
        py.test --testrail --tr-config=settings_file.cfg --tr-bundle-id=${BUILD_NUMBER} --tr-bundle-end=false
        py.test --testrail --tr-config=settings_file.cfg --tr-bundle-id=${BUILD_NUMBER} --tr-bundle-end=true

CLI аргументы: 


  --testrail            Create and update testruns with TestRail<br>
  --tr-config=TR_CONFIG
                        Path to the config file containing information about
                        the TestRail server (defaults to testrail.cfg)<br>
  --tr-url=TR_URL       TestRail address you use to access TestRail with your
                        web browser (config file: url in API section)<br>
  --tr-email=TR_EMAIL   Email for the account on the TestRail server (config
                        file: email in API section)<br>
  --tr-password=TR_PASSWORD
                        Password for the account on the TestRail server
                        (config file: password in API section)<br>
  --tr-testrun-assignedto-id=TR_TESTRUN_ASSIGNEDTO_ID
                        ID of the user assigned to the test run (config file:
                        assignedto_id in TESTRUN section)<br>
  --tr-testrun-project-id=TR_TESTRUN_PROJECT_ID
                        ID of the project the test run is in (config file:
                        project_id in TESTRUN section)<br>
  --tr-testrun-suite-id=TR_TESTRUN_SUITE_ID
                        ID of the test suite containing the test cases (config
                        file: suite_id in TESTRUN section)<br>
  --tr-testrun-suite-include-all
                        Include all test cases in specified test suite when
                        creating test run (config file: include_all in TESTRUN
                        section)<br>
  --tr-testrun-name=TR_TESTRUN_NAME
                        Name given to testrun, that appears in TestRail
                        (config file: name in TESTRUN section)<br>
  --tr-run-id=TR_RUN_ID
                        Identifier of testrun, that appears in TestRail. If
                        provided, option "--tr-testrun-name" will be ignored<br>
  --tr-plan-id=TR_PLAN_ID
                        Identifier of testplan, that appears in TestRail. If
                        provided, option "--tr-testrun-name" will be ignored<br>
  --tr-bundle-id        
                        To "--tr-bundle-id" usage Jenkins build ID<br>
  --tr-bundle-end
                        Usage to run last command if multiple run-commands<br>
  --tr-version=TR_VERSION
                        Indicate a version in Test Case result.<br>
  --tr-no-ssl-cert-check
                        Do not check for valid SSL certificate on TestRail
                        host<br>
  --tr-close-on-complete
                        Close a test plan or test run on completion.<br>
  --tr-dont-publish-blocked
                        Do not publish results of "blocked" testcases in
                        TestRail<br>
  --tr-skip-missing     Skip test cases that are not present in testrun<br>